﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub R&S RTM105x (1 yr) Ref Frequency VER VISA /O_CAL
INSTRUMENT:            Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6
INSTRUMENT:            Sub R&S RTM105x (1 yr) Crosstalk VER VISA /O_CAL+S6
INSTRUMENT:            Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG
INSTRUMENT:            Sub R&S RTM105x (1 yr) Ext Trig VER VISA /O_CAL+S6+WG
DATE:                  2016-06-14 13:25:02
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 16202 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       14
NUMBER OF LINES:       411
CONFIGURATION:         Fluke Ocal (600MHz,WG)
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Model(s) Covered:
#        R&S RTM1052 (1305.0008.52)
#        R&S RTM1054 (1305.0008.54)
#
#  Source(s):
#        R&S RTM Digital Oscilloscope Service Manual, 1304.9018.02-01
#
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  This procedure eliminates all Trigger Filter tests, per the following email
#  dated 12/12/2011 from Bill Bock at Rohde & Schwarz:
#
#     "I wanted to let you know that I got the official word from R&S Service:
#
#     1) Now we arranged that with the next release of the datasheet the
#        trigger filter tests will only be measured as a factory test.  Thus
#        we will remove the filter tests from the service manual performance
#        test.
#     2) We also will change the test limit of the trigger sensitivity to the
#        datasheet value of 0.8 div in the performance test (service manual).
#
#     So you can simply remove those trigger filter tests from you test
#     procedures (no need to wait until January for the new Service Manual.)"
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub R&S RTM105x Select Channel

  1.002  JMPL         REF_FREQUENCY                PSUBI("Ref Frequency")
  1.003  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.004  JMPL         CROSSTALK                    PSUBI("Crosstalk")
  1.005  JMPL         INT_TRIG                     PSUBI("Internal Trig")
  1.006  JMPL         EXT_TRIG                     PSUBI("External Trig")
  1.007  DISP         Called {Subprocedure Not Found}!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub R&S RTM105x (1 yr) Ref Frequency VER VISA /O_CAL  ===============

  2.001  LABEL        REF_FREQUENCY

  2.002  RSLT         =
  2.003  HEAD         {REFERENCE FREQUENCY ACCURACY}
  2.004  TARGET       -p
  2.005  TSET         TDESC = 9 MHz @ +6 dBm; NMEAS = 5
  2.006  VISA         RUN
  2.007  VISA         CHAN[V @Chan]:SCAL 200E-3;COUP DC
  2.008  VISA         TIM:SCAL 50E-9
  2.009  VISA         TRIG:A:SOUR CH[V @Chan]
  2.010  VISA         MEAS1:ENAB ON;MAIN TFR
  2.011  O_CAL        Mode       = LevSine; Channel = [V @CalChan]
  2.011  O_CAL        +Frequency = 9 MHz;  @Voltage = 0.446 V
  2.012  WAIT         -t 5 Waiting for stabilization...
  2.013  TARGET       -m
  2.014  VISA         SINGLE;*OPC?[I!]
  2.015  VISA         MEAS1:RES?[I]
  2.016  MATH         MEM = MEM / 1E+6
  2.017  MEMCX        9.000000MHz    10P%

  3.001  HEAD         -2
  3.002  O_CAL        Standby
  3.003  VISA         *RST
  3.004  HEAD
  3.005  END

  3.006  EVAL   Increment Test Number

# =====  Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6  ===============

  4.001  LABEL        BANDWIDTH

  4.002  VSET         UUT_RES = 0.01

  4.003  IF           @Chan == 1
  4.004  RSLT         =
  4.005  HEAD         {ANALOG BANDWIDTH}
  4.006  ENDIF

  4.007  RSLT         =
  4.008  HEAD         ANALOG BANDWIDTH: {Channel [V @Chan]}
  4.009  TARGET       -p
  4.010  VISA         ACQ:WRAT MSAM;AVER:COUN 32
  4.011  VISA         CHAN[V @Chan]:TYPE PDET;ARIT AVER
  4.012  VISA         MEAS1:ENAB ON;MAIN PEAK;SOUR CH[V @Chan]
  4.013  VISA         TRIG:A:SOUR CH[V @Chan]

# -----  Full BW  -------------------
  4.014  TOL          3.00U
  4.015  MATH         @RefFreq =  10E+6; @RefHoriz = 50E-9
  4.016  MATH         @BWFreq  = 500E+6; @BWHoriz  =  1E-9; @Band = "FULL"

  4.017  MATH         @Vert = "1 mV/div"
  4.018  CALL         Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL

  4.019  MATH         @Vert = "5 mV/div"
  4.020  CALL         Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL

  4.021  MATH         @Vert = "50 mV/div"
  4.022  CALL         Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL

  4.023  MATH         @Vert = "500 mV/div"
  4.024  CALL         Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL

# -----  BW Limit  ------------------
  4.025  TARGET       -p
  4.026  TOL          +1.00U -0.50U
  4.027  MATH         @Vert = "5 mV/div"

  4.028  MATH         @RefFreq =  10E+6; @RefHoriz = 50E-9
  4.029  MATH         @BWFreq  = 400E+6; @BWHoriz  =  1E-9;  @Band = "B400"
  4.030  CALL         Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL

  4.031  MATH         @RefFreq =   1E+6; @RefHoriz = 500E-9
  4.032  MATH         @BWFreq  = 200E+6; @BWHoriz  =   2E-9; @Band = "B200"
  4.033  CALL         Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL

  4.034  MATH         @RefFreq = 100E+3; @RefHoriz =  5E-6
  4.035  MATH         @BWFreq  =  20E+6; @BWHoriz  = 20E-9;  @Band = "B20"
  4.036  CALL         Sub R&S RTM105x (1 yr) Bandwidth Test VISA /O_CAL


  4.037  HEAD         -2
  4.038  O_CAL        Standby
  4.039  VISA         *RST
  4.040  VSET         UUT_RES = *
  4.041  HEAD
  4.042  END

  4.043  EVAL   Increment Test Number

# =====  Sub R&S RTM105x (1 yr) Crosstalk VER VISA /O_CAL+S6  ================

  5.001  LABEL        CROSSTALK

# Due to the nature of this test, repeated measurements are not necessary.
  5.002  IF           ZCMPI(@MeasMode, "MU")
  5.003  VSET         NTHROW = 0; NMEAS = 1
  5.004  ENDIF

  5.005  IF           @Chan == 1
  5.006  RSLT         =
  5.007  HEAD         {CROSSTALK (CHANNEL TO CHANNEL ISOLATION)}
  5.008  ELSE
  5.009  HEAD         CROSSTALK (CHANNEL TO CHANNEL ISOLATION)
  5.010  ENDIF

# Establish valid measurement channels.
  5.011  IF           @Chan == 1
  5.012  MATH         xChan = 2
  5.013  ELSEIF       @Chan == 4
  5.014  MATH         xChan = 3
  5.015  ELSE
  5.016  DISP         {Crosstalk test does not support Channel [V @Chan]!}
  5.016  DISP         {CROSSTALK TEST ABORTED.}
  5.017  END
  5.018  ENDIF

  5.019  HEAD         -2 Channel [V @Chan] to Channel [V xChan]
  5.020  TARGET
  5.021  VISA         TIM:SCAL 200E-9
  5.022  VISA         CHAN[V xChan]:STAT ON;SCAL 200E-3;COUP DC
  5.023  VISA         CHAN[V @Chan]:STAT ON;SCAL 200E-3;COUP DC
  5.024  VISA         CALC:MATH:EXPR "FFTMAG(CH[V @Chan])"
  5.025  VISA         CALC:MATH:FFT:WIND:TYPE HANN
  5.026  VISA         CALC:MATH:FFT:MAGN:SCAL DBM
  5.027  VISA         CALC:MATH:SCAL 20
  5.028  VISA         CALC:MATH:FFT:BAND:RAT 32768
  5.029  VISA         CALC:MATH:ARIT AVER;FFT:AVER:COUN 4
  5.030  VISA         CALC:MATH:FFT:CFR 250E6;SPAN 500E6;*WAI
  5.031  VISA         CURS1:STAT ON;FUNC LPE;X2P 499 MHz
  5.032  O_CAL        Mode     = LevSine;     Channel   = [V @CalChan]
  5.032  O_CAL        +Voltage = 561.675 mV; @Frequency = 499 MHz
  5.033  WAIT         -t 15 FFT Signal Acquisition in progress, please wait...
  5.034  VISA         CURS1:RES?[I]
  5.035  MATH         Ref = MEM

  5.036  VISA         CALC:MATH:EXPR "FFTMAG(CH[V xChan])"
  5.037  VISA         CALC:MATH:FFT:MAGN:SCAL DBM
  5.038  VISA         CALC:MATH:SCAL 20
  5.039  VISA         CALC:MATH:FFT:CFR 250E6;SPAN 500E6;*WAI
  5.040  VISA         CURS1:STAT ON;FUNC LPE;X2P 499 MHz
  5.041  O_CAL        Mode     = LevSine;     Channel   = [V @CalChan]
  5.041  O_CAL        +Voltage = 561.675 mV; @Frequency = 499 MHz
  5.042  WAIT         -t 15 FFT Signal Acquisition in progress, please wait...
  5.043  VISA         CURS1:RES?[I]
  5.044  MATH         MEM = Ref - MEM; MEM2 = FMT(MEM, "%4.2f")
  5.045  EVAL   -e (MEM > 50) : CH [V @Chan] to CH [V xChan]: [MEM2] dB

  6.001  HEAD         -2
  6.002  O_CAL        Standby
  6.003  VISA         *RST
  6.004  VSET         NTHROW = [V @NThrow]; NMEAS = [V @NMeas]
  6.005  HEAD
  6.006  END

  6.007  EVAL   Increment Test Number

# =====  Sub R&S RTM105x (1 yr) Int Trigger VISA /O_CAL+S6+WG  ==============
#
# See this procedure's header comment regarding Trigger Filter tests.

  7.001  LABEL        INT_TRIG

# Due to the nature of this test, repeated measurements are not necessary.
  7.002  IF           ZCMPI(@MeasMode, "MU")
  7.003  VSET         NTHROW = 0; NMEAS = 1
  7.004  ENDIF

  7.005  IF           @Chan == 1
  7.006  RSLT         =
  7.007  HEAD         {INTERNAL TRIGGER (20 mV/div Vertical Scale)}
  7.008  ELSE
  7.009  HEAD         INTERNAL TRIGGER (20 mV/div Vertical Scale)
  7.010  ENDIF

  7.011  RSLT         =
  7.012  HEAD         INTERNAL TRIGGER - {Channel [V @Chan]}
  7.013  RSLT         =
  7.014  HEAD         -2 {Trigger Sensitivity A} @ 10 kHz
  7.015  TARGET       -p
  7.016  MATH         @Freq = 10E+3
  7.017  VISA         TRIG:A:MODE AUTO;:RUN
  7.018  VISA         CHAN[V @Chan]:SCAL 20E-3V;COUP DC;POS 0
  7.019  VISA         TIM:SCAL 200E-6
  7.020  VISA         TRIG:A:SOUR CH[V @Chan];LEV 0;EDGE:SLOP EITH
  7.021  VISA         MEAS1:ENAB ON;MAIN PEAK;SOUR CH[V @Chan]
  7.022  VISA         MEAS2:ENAB ON;MAIN TFR
  7.023  MATH         Target = 16E-3; MEM = Target; Apply = Target

  7.024  DO
  7.025  MATH         Apply = Apply + (Target - MEM) / 2
  7.026  O_CAL        Mode       = WaveGen; Channel  = [V @CalChan]
  7.026  O_CAL        OutpImp    = 50 Ohm;  Waveform = Sine
  7.026  O_CAL        +Frequency = 10 kHz; @Voltage  = [V Apply] Vpp
  7.027  VISA         MEAS1:RES?[I]
  7.028  UNTIL        (MEM >= 15.5E-3) && (MEM <= 16.0E-3)

  7.029  TARGET       -m
  7.030  CALL         Sub R&S RTM105x Check for Trigger
  7.031  EVAL   -e @TFreq : Triggered:  10 kHz @ < 0.8 div

  8.001  HEAD         -2 Trigger Sensitivity A @ 500 MHz
  8.002  TARGET       -p
  8.003  MATH         @Freq = 500E+6
  8.004  VISA         TIM:SCAL 1E-9
  8.005  MATH         Target = 16E-3; MEM = Target; Apply = Target

  8.006  DO
  8.007  MATH         Apply = Apply + (Target - MEM) / 2
  8.008  O_CAL        Mode       = LevSine;  Channel = [V @CalChan]
  8.008  O_CAL        +Frequency = 500 MHz; @Voltage = [V Apply] Vpp
  8.009  VISA         MEAS1:RES?[I]
  8.010  UNTIL        (MEM >= 15.5E-3) && (MEM <= 16.0E-3)

  8.011  TARGET       -m
  8.012  CALL         Sub R&S RTM105x Check for Trigger
  8.013  EVAL   -e @TFreq : Triggered: 500 MHz @ < 0.8 div

  9.001  O_CAL        Standby

# Unable to perform the Trigger Sensitivity B test manually per the
# Service Manual procedure.  [MEAS: Trigger Frequency] will not measure
# a value with B-Trigger engaged.
#
# This test deviates from the manual's instruction to use the MEAS function,
# and tests sensitivity by querying for a triggered sweep while a signal is
# applied at the specified sensitivity level.
#
# Requested an updated Service Manual from R&S on 4/6/2011 -CAD

  9.002  RSLT         =
  9.003  HEAD         -2 {Trigger Sensitivity B} @ 10 kHz
  9.004  TARGET       -p
  9.005  MATH         @Freq = 10E+3
  9.006  VISA         *RST
  9.007  CALL         Sub R&S RTM105x Select Channel
  9.008  VISA         TRIG:A:MODE AUTO;:RUN
  9.009  VISA         CHAN[V @Chan]:SCAL 20E-3V;COUP DC;POS 0
  9.010  VISA         TIM:SCAL 200E-6
  9.011  VISA         MEAS1:ENAB ON;MAIN PEAK;SOUR CH[V @Chan]
  9.012  VISA         MEAS2:ENAB ON;MAIN TFR
  9.013  VISA         TRIG:A:SOUR CH[V @Chan];LEV 0;EDGE:SLOP EITH
  9.014  VISA         TRIG:B:SOUR CH[V @Chan];LEV 0;EDGE:SLOP EITH
  9.015  MATH         Target = 16E-3; MEM = Target; Apply = Target

  9.016  DO
  9.017  MATH         Apply = Apply + (Target - MEM) / 2
  9.018  O_CAL        Mode       = WaveGen;  Channel  = [V @CalChan]
  9.018  O_CAL        OutpImp    = 50 Ohm;   Waveform = Sine
  9.018  O_CAL        +Frequency = 10 kHz;  @Voltage  = [V Apply] Vpp
  9.019  VISA         MEAS1:RES?[I]
  9.020  UNTIL        (MEM >= 15.5E-3) && (MEM <= 16.0E-3)

  9.021  VISA         TRIG:A:MODE NORM;:STOP;:TRIG:B:ENAB ON
  9.022  TARGET       -m
  9.023  CALL         Sub R&S RTM105x Check for Trigger
  9.024  EVAL   -e @Trig : Triggered:  10 kHz @ < 0.8 div

 10.001  HEAD         -2 Trigger Sensitivity B @ 500 MHz
 10.002  TARGET       -p
 10.003  MATH         @Freq = 500E+6
 10.004  VISA         TRIG:A:MODE AUTO;:RUN
 10.005  VISA         TRIG:B:ENAB OFF
 10.006  VISA         TIM:SCAL 1E-9
 10.007  MATH         Target = 16E-3; MEM = Target; Apply = Target

 10.008  DO
 10.009  MATH         Apply = Apply + (Target - MEM) / 2
 10.010  O_CAL        Mode       = LevSine;  Channel = [V @CalChan]
 10.010  O_CAL        +Frequency = 500 MHz; @Voltage = [V Apply] Vpp
 10.011  VISA         MEAS1:RES?[I]
 10.012  UNTIL        (MEM >= 15.5E-3) && (MEM <= 16.0E-3)

 10.013  VISA         TRIG:A:MODE NORM;:STOP;:TRIG:B:ENAB ON
 10.014  TARGET       -m
 10.015  CALL         Sub R&S RTM105x Check for Trigger
 10.016  EVAL   -e @Trig : Triggered: 500 MHz @ < 0.8 div

 11.001  HEAD         -2
 11.002  O_CAL        Standby
 11.003  VISA         *RST
 11.004  VSET         NTHROW = [V @NThrow]; NMEAS = [V @NMeas]
 11.005  HEAD
 11.006  END

 11.007  EVAL   Increment step number

# =====  Sub R&S RTM105x (1 yr) Ext Trig VER VISA /O_CAL+S6+WG  =============
#
# See this procedure's header comment regarding Trigger Filter tests.
#
# This test requires an external power splitter with 6 dB of loss.

 12.001  LABEL        EXT_TRIG

# Due to the nature of this test, repeated measurements are not necessary.
 12.002  IF           ZCMPI(@MeasMode, "MU")
 12.003  VSET         NTHROW = 0; NMEAS = 1
 12.004  ENDIF

 12.005  RSLT         =
 12.006  HEAD         {EXTERNAL TRIGGER}
 12.007  RSLT         =
 12.008  HEAD         -2 {Trigger Sensitivity}
 12.009  TARGET       -p
 12.010  MATH         @Freq = 10E+3
 12.011  VISA         TRIG:A:MODE AUTO;:RUN
 12.012  VISA         CHAN[V @Chan]:SCAL 50E-3;COUP DC;POS 0
 12.013  VISA         TRIG:A:SOUR EXT;LEV5 0;EDGE:SLOP EITH
 12.014  VISA         TRIG:EXT:COUP DC
 12.015  VISA         TIM:SCAL 100E-6
 12.016  VISA         MEAS1:ENAB ON;MAIN PEAK;SOUR CH[V @Chan]
 12.017  VISA         MEAS2:ENAB ON;MAIN TFR
 12.018  O_CAL        Mode       = WaveGen;  Channel  = [V @CalChan]
 12.018  O_CAL        OutputImp  = 50 Ohms;  Waveform = Sine
 12.018  O_CAL        +Frequency = 10 kHz;  @Voltage  = 590.2 mVpp
 12.019  TARGET       -m
 12.020  CALL         Sub R&S RTM105x Check for Trigger
 12.021  EVAL   -e @TFreq : Triggered @  10 kHz

 13.001  MATH         @Freq = 500E+6
 13.002  VISA         TIM:SCAL 1E-9
 13.003  O_CAL        Mode       = LevSine;  Channel = [V @CalChan]
 13.003  O_CAL        +Frequency = 500 MHz; @Voltage = 685.5 mVpp
 13.004  TARGET       -m
 13.005  CALL         Sub R&S RTM105x Check for Trigger
 13.006  EVAL   -e @TFreq : Triggered @ 500 MHz

 14.001  HEAD         -2
 14.002  O_CAL        Standby
 14.003  VISA         *RST
 14.004  VSET         NTHROW = [V @NThrow]; NMEAS = [V @NMeas]
 14.005  HEAD
 14.006  END
